stages:
  - pre-commit

.pre-commit:
  stage: pre-commit
  image: $CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX/python:3.12.3-bullseye
  needs: []
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
  before_script:
    - apt-get update && apt-get install -y ruby
    - pip install pre-commit pip
  script:
    - pre-commit run --all-files --verbose
  cache:
    key: pre-commit
    paths:
      - $CI_PROJECT_DIR/.cache
  variables:
    PRE_COMMIT_HOME: $CI_PROJECT_DIR/.cache/pre-commit
  artifacts:
    paths:
      - $PRE_COMMIT_HOME/pre-commit.log
    when: on_failure
